perl-Modern-PBP-Perl-1.240-alt2.noarch.rpm


Advertisement

Description

perl-Modern-PBP-Perl - Loading pragmas and Modules for 'Perl Best Practices'

Property Value
Distribution ALT Linux Sisyphus
Repository Autoimports noarch
Package name perl-Modern-PBP-Perl
Package version 1.240
Package release alt2
Package architecture noarch
Package type rpm
Installed size 18.30 KB
Download size 18.30 KB
Official Mirror ftp.altlinux.org
Loading all the features of the current Perl version installed, or the specified
version of Perl. The corresponding warnings are deactivated. If a version of
Perl is specified, this must be less than or equal to that is installed.
Should one or more features not be activated or a warning will remain active,
this may be given on the version (the minus or plus sign is optional).
In addition, the pragma 'strict' and 'version' will be imported as well as the
alternatives for the special variables (use English) transferred in the calling
package. By default, the variables 'MATCH', 'PREMATCH' and 'POST MATCH' not
accepted. However, these can be aktivieret by specifying '+match_vars'.
The modules
IO :: File
IO :: Handle
are precisely the case with imports.

Alternatives

Package Version Architecture Repository
perl-Modern-PBP-Perl - - -

Requires

Name Value
/usr/share/perl5 -
perl(English.pm) -
perl(IO/File.pm) -
perl(IO/Handle.pm) -
perl(Perl/Version.pm) -
perl(feature.pm) -
perl(mro.pm) -
perl(version.pm) -
perl-base >= 1:5.12.0
rpmlib(PayloadIsLzma) -

Provides

Name Value
perl(Modern/PBP/Perl.pm) = 1.240
perl-Modern-PBP-Perl = 1.240-alt2

Download

Type URL
Binary Package perl-Modern-PBP-Perl-1.240-alt2.noarch.rpm
Source Package perl-Modern-PBP-Perl-1.240-alt2.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/autoimports/Sisyphus noarch autoimports
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/autoimports/Sisyphus noarch autoimports
    
  2. Update the package index:
    # sudo apt-get update
  3. Install perl-Modern-PBP-Perl rpm package:
    # sudo apt-get install perl-Modern-PBP-Perl

Files

Path
/usr/share/doc/perl-Modern-PBP-Perl-1.240/Changes
/usr/share/doc/perl-Modern-PBP-Perl-1.240/README
/usr/share/perl5/Modern/
/usr/share/perl5/Modern/PBP/Perl.pm

See Also

Package Description
perl-ModsPragma-0.004-alt1.noarch.rpm perl module ModsPragma
perl-Module-Advisor-0.17-alt1.noarch.rpm check locally installed modules for known problems
perl-Module-Advisor-scripts-0.17-alt1.noarch.rpm Module-Advisor scripts
perl-Module-AnyEvent-Helper-0.0.5-alt1.noarch.rpm Helper module to make other modules AnyEvent-friendly
perl-Module-AutoINC-0.02-alt1.noarch.rpm perl module Module-AutoINC
perl-Module-AutoLoad-0.01-alt1.noarch.rpm perl module Module-AutoLoad
perl-Module-Build-Bundle-0.17-alt1.noarch.rpm build assistance for Bundle and Task distributions
perl-Module-Build-Convert-0.49-alt1.noarch.rpm Makefile.PL to Build.PL converter
perl-Module-Build-Convert-scripts-0.49-alt1.noarch.rpm Module-Build-Convert scripts
perl-Module-Build-DB-0.10-alt1.noarch.rpm Build, configure, and test database-backed applications
perl-Module-Build-Database-0.57-alt1.noarch.rpm Manage database patches in the style of Module::Build
perl-Module-Build-Debian-1.0.0-alt1.noarch.rpm Module::Build extension to build .deb packages using C<dh-make-perl>
perl-Module-Build-Deprecated-0.4210-alt1.noarch.rpm A collection of modules removed from Module-Build
perl-Module-Build-Functions-0.04-alt1.noarch.rpm Module::Install style syntax for Module::Build
perl-Module-Build-InlineModule-0.04-alt1.noarch.rpm Module::Build Support for Inline::Module
Advertisement
Advertisement